Hello and welcome to our community! Is this your first visit?
Register
Enjoy an ad free experience by logging in. Not a member yet? Register.
Results 1 to 5 of 5

Thread: ie6-warning?

  1. #1
    New Coder
    Join Date
    Dec 2008
    Posts
    59
    Thanks
    3
    Thanked 0 Times in 0 Posts

    ie6-warning?

    Hello,

    I would like to add a warning for users with internet explorer 6 like mailchimp stating the following.

    Internet Explorer 6 and below do not work with MailChimp, but Internet Explorer 7 and above, Firefox, and Safari play nice with the Chimp. We recommend switching to a safer, faster browser like Firefox.
    Learn more about the browsers we support ""

    Any help in the right direction would be appreciated

  • #2
    Regular Coder
    Join Date
    May 2010
    Location
    Bathurst, Australia
    Posts
    180
    Thanks
    1
    Thanked 22 Times in 22 Posts
    Some simple javascript will do it. http://www.pageresource.com/jscript/jbrowse.htm This will give you everything you'll need. Just put it inside a function and add window.onload=function();

  • #3
    New Coder
    Join Date
    Sep 2008
    Posts
    67
    Thanks
    8
    Thanked 2 Times in 2 Posts
    If it's just IE6 you're concerned with, used Microsoft's condition comments: google for it, it's straightforward.

  • #4
    Master Coder Excavator's Avatar
    Join Date
    Dec 2006
    Location
    Alaska
    Posts
    9,747
    Thanks
    22
    Thanked 1,838 Times in 1,822 Posts
    Hello Rita,
    I'm adding this to a lot of my latest sites:
    Code:
                <!--[if lt IE 7]>
                    <div id="ie6Warning">
                        <h2>Time to upgrade your browser</h2>
                            <p>
                                If you're reading this, you're surfing using Internet Explorer 6, an eight-year-old browser that 
                                cannot cope with the demands of the modern internet. For the best web experience, it is strongly recommended 
                                you upgrade to a more modern version of any of the browsers listed here:
                                    <ol>
                                        <li><a href="http://www.getfirefox.com/">Firefox</a></li>
                                        <li><a href="http://www.opera.com/">Opera</a></li> 
                                        <li><a href="http://www.apple.com/safari/">Safari</a></li>
                                        <li><a href="http://www.google.com/chrome">Google Chrome</a></li>
                                        <li>or a more recent version of <a href="http://www.microsoft.com/windows/downloads/ie/getitnow.mspx">Internet Explorer</a></li>
                                    </ol>
                                 The layout of this site is designed to work with those browsers.
                            </p>
                    </div>
                <![endif]-->
    And some CSS to style that a little -
    Code:
    #ie6Warning {
    	width: 600px;
    	padding: 25px;
    	background: #f00;
    }
    Validate often DURING development - Use it like a splelchecker | Debug during Development |Write it for FireFox, ignore IE
    Use the right DocType | Validate your markup | Validate your CSS | Why validating is good | Why tables are bad

  • #5
    New Coder
    Join Date
    Dec 2008
    Posts
    59
    Thanks
    3
    Thanked 0 Times in 0 Posts
    Thank you guys for all the suggestions. I used a combination of each.

    Have a great memorial day weekend!


  •  

    Posting Permissions

    • You may not post new threads
    • You may not post replies
    • You may not post attachments
    • You may not edit your posts
    •